package domain

type AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult struct {
	/*
	   errorMsg     */
	ErrorMsg *string `json:"error_msg,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   itemId     */
	ItemId *int64 `json:"item_id,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `

	/*
	   skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   merchantCode     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   shopId     */
	ShopId *string `json:"shop_id,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetErrorMsg(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.ErrorMsg = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetErrorCode(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetItemId(v int64) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.ItemId = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetSuccess(v bool) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.Success = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetSkuCode(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetMerchantCode(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult) SetShopId(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionResult {
	s.ShopId = &v
	return s
}
